<?php
/**
 * The template part for displaying audio post
 * @package Transport Movers
 * @subpackage transport_movers
 * @since 1.0
 */
?>
<?php
  $content = apply_filters( 'the_content', get_the_content() );
  $audio   = false;

  // Only get audio from the content if a playlist isn't present.
  if ( false === strpos( $content, 'wp-playlist-script' ) ) {
    $audio = get_media_embedded_in_content( $content, array( 'audio' ) );
  }
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <h2 class="section-title"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2> 
  <div class="box-image">
    <?php
      if ( ! is_single() ) {
        // If not a single post, highlight the audio file.
        if ( ! empty( $audio ) ) {
          foreach ( $audio as $audio_html ) {
            echo '<div class="entry-audio">';
              echo $audio_html;
            echo '</div><!-- .entry-audio -->';
          }
        };
      };
    ?>
  </div>
  <div class="new-text">
    <?php $excerpt = get_the_excerpt(); echo esc_html( transport_movers_string_limit_words( $excerpt, esc_attr(get_theme_mod('transport_movers_post_excerpt_number','30')))); ?>
    </div> 
  <div class="postbtn">
    <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('transport_movers_button_text','View More'));?><i class="fas fa-long-arrow-alt-right"></i><span class="screen-reader-text"><?php esc_html_e( 'View More','transport-movers' );?></span></a>
  </div>
</article>